<template>
    <details class="has-background-info" open>
        <summary class="">
            <h2 class="subtitle is-4"><b>>></b> Manage {{ template }} Team</h2>
        </summary>

        <section>
            <div class="input-group">
                <label>Team Name:</label>
                <input type="text" v-model.trim="team.name" />
            </div>

            <div class="input-group">
                <label>Team Full Name:</label>
                <input type="text" v-model.trim="team.fullName" />
            </div>

            <div class="input-group">
                <label>Team Color:</label>
                <input type="color" v-model.trim="team.pColor" />
            </div>
        </section>
    </details>
</template>

<script lang="ts">
import Vue, { PropType } from "vue";
import state from "~/state";

export default Vue.extend({
    props: {
        template: String as PropType<TeamT>,
    },

    computed: {
        team(): ITeam {
            return state.teams[this.template];
        },
    },
});
</script>

<style scoped>
details {
    margin: 1rem 0;
    border-radius: 4px;
    overflow: hidden;
}

summary {
    display: flex;
    height: 3rem;
    padding: 0 1rem;
    align-items: center;
}

.input-group {
    display: flex;
    align-items: center;
    margin: 1rem 0;
}

input {
    text-align: left !important;
    font-size: 1rem;
    padding: 0 0.5rem;
    flex: 1;
    border: 2px solid #363636;
    background: white;
    color: #363636;
}

input[type="color"] {
    padding: 0;
    background: none;
    border: none;
}

label {
    flex: 0.25;
}

section {
    padding: 1rem 3rem;
    background: rgba(0, 0, 0, 0.253);
}
</style>
